##########################
The :mod:`cli` Module
##########################

.. automodule:: gramps.cli

*****************************
Argument Handler
*****************************
.. automodule:: gramps.cli.arghandler
.. autoclass:: ArgHandler
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Argument Parser
*****************************
.. automodule:: gramps.cli.argparser
.. autoclass:: ArgParser
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
CLI DB manager
*****************************
.. automodule:: gramps.cli.clidbman
.. autoclass:: CLIDbManager
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Gramps CLI
*****************************
.. automodule:: gramps.cli.grampscli
.. autoclass:: CLIDbLoader
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: CLIManager
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
User
*****************************
.. automodule:: gramps.cli.user
.. autoclass:: User
   :members:
   :undoc-members:
   :show-inheritance:
